from google.appengine.ext import webapp
from google.appengine.ext.webapp.util import run_wsgi_app

from atm import *

application = webapp.WSGIApplication(
  [
    ('/', MainPage),

    ('/withdraw', WithdrawPage),
    ('/withdrawCallback', WithdrawCallbackPage),
    ('/printBills', PrintBillsPage),

    ('/deposit', DepositPage),
    ('/depositForm', DepositFormPage),
    ('/depositCallback', DepositCallbackPage),

    ('/timeout', TimeoutPage),
    ('/done', DonePage),
  ],

  debug=True
)

def main():
  run_wsgi_app(application)

if __name__ == "__main__":
  main()
